Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

### - b -

- B : util.c
- B0 : lgamma_r.c , tgamma.c
- B1 : lgamma_r.c , tgamma.c
- B10 : lgamma_r.c , tgamma.c
- B12 : lgamma_r.c , tgamma.c
- B14 : lgamma_r.c , tgamma.c
- B16 : lgamma_r.c , tgamma.c
- B2 : lgamma_r.c , tgamma.c
- B4 : lgamma_r.c , tgamma.c
- B6 : lgamma_r.c , tgamma.c
- B8 : lgamma_r.c , tgamma.c
- BACKGROUND_MASK : win32.c
- BACKREF_REL_TO_ABS : regparse.c
- BACKREFS_P : regparse.h
- bad : _sdbm.c
- BADEXIT : dup2.c
- BADMESS : _sdbm.c
- BASE : bigdecimal.c
- BASE1 : bigdecimal.c
- BASE_FIG : bigdecimal.c
- BASIC_OP_UNREDEFINED_P : vm_insnhelper.h
- BBUF_ADD : regint.h
- BBUF_ADD1 : regint.h
- BBUF_ENSURE_SIZE : regint.h
- BBUF_EXPAND : regint.h
- BBUF_GET_ADD_ADDRESS : regint.h
- BBUF_GET_BYTE : regint.h
- BBUF_GET_OFFSET_POS : regint.h
- BBUF_INIT : regint.h
- BBUF_INSERT : regint.h
- BBUF_MOVE_LEFT : regint.h
- BBUF_MOVE_LEFT_REDUCE : regint.h
- BBUF_MOVE_RIGHT : regint.h
- BBUF_SIZE_INC : regint.h
- BBUF_WRITE : regint.h
- BBUF_WRITE1 : regint.h
- BBUF_WRITE_CODE_POINT : regparse.c
- Bcopy : util.c
- BDIGIT : ripper.y , defines.h
- BDIGIT_DBL : ripper.y , defines.h
- BDIGIT_DBL_SIGNED : ripper.y , defines.h
- BDIGITS : bignum.c , random.c
- BDIGMAX : bignum.c , random.c
- before_fork : process.c
- BEG : re.c , string.c
- Bias : util.c
- Big0 : util.c
- Big1 : util.c
- BIG_CRITERIA : acosh.c
- BIG_CRITERIA_BIT : acosh.c
- BIG_ENDIAN : random.c , siphash.c
- BIG_GET32 : random.c
- BIG_SET32 : random.c
- BIGDN : bignum.c , random.c
- BIGENDIAN_P : pack.c
- BIGLO : bignum.c , random.c
- BigMath_exp : bigdecimal.c
- BigMath_log : bigdecimal.c
- bignew : bignum.c
- BIGNUM_1c : ossl_bn.c
- BIGNUM_2 : ossl_bn.c
- BIGNUM_2c : ossl_bn.c
- BIGNUM_3c : ossl_bn.c
- BIGNUM_BIT : ossl_bn.c
- BIGNUM_BOOL1 : ossl_bn.c
- BIGNUM_CMP : ossl_bn.c
- BIGNUM_DEBUG : bignum.c
- BIGNUM_NUM : ossl_bn.c
- BIGNUM_RAND : ossl_bn.c
- BIGNUM_RAND_RANGE : ossl_bn.c
- BIGNUM_REDEFINED_OP_FLAG : vm_insnhelper.h
- BIGNUM_SELF_SHIFT : ossl_bn.c
- BIGNUM_SHIFT : ossl_bn.c
- BIGRAD : bignum.c , random.c
- BIGRAD_HALF : bignum.c
- BIGUP : bignum.c , random.c
- BIGZEROP : bignum.c
- bin2hex : nkf.c
- binop : complex.c , rational.c
- bins : st.c
- BIT : ripper.c , ripper.y , parse.c , parse.y
- BIT_CTYPE_ALNUM : ripper.y , regenc.h
- BIT_CTYPE_ALPHA : ripper.y , regenc.h
- BIT_CTYPE_ASCII : ripper.y , regenc.h
- BIT_CTYPE_BLANK : ripper.y , regenc.h
- BIT_CTYPE_CNTRL : ripper.y , regenc.h
- BIT_CTYPE_DIGIT : ripper.y , regenc.h
- BIT_CTYPE_GRAPH : ripper.y , regenc.h
- BIT_CTYPE_LOWER : ripper.y , regenc.h
- BIT_CTYPE_NEWLINE : ripper.y , regenc.h
- BIT_CTYPE_PRINT : ripper.y , regenc.h
- BIT_CTYPE_PUNCT : regenc.h , ripper.y
- BIT_CTYPE_SPACE : ripper.y , regenc.h
- BIT_CTYPE_UPPER : ripper.y , regenc.h
- BIT_CTYPE_WORD : ripper.y , regenc.h
- BIT_CTYPE_XDIGIT : regenc.h , ripper.y
- BIT_DIGITS : sprintf.c
- BIT_NT_ALT : regparse.h
- BIT_NT_ANCHOR : regparse.h
- BIT_NT_BREF : regparse.h
- BIT_NT_CALL : regparse.h
- BIT_NT_CANY : regparse.h
- BIT_NT_CCLASS : regparse.h
- BIT_NT_CTYPE : regparse.h
- BIT_NT_ENCLOSE : regparse.h
- BIT_NT_LIST : regparse.h
- BIT_NT_QTFR : regparse.h
- BIT_NT_STR : regparse.h
- BIT_OF : date_strftime.c , strftime.c
- BIT_STATUS_AT : regint.h
- BIT_STATUS_BITS_NUM : regint.h
- BIT_STATUS_CLEAR : regint.h
- BIT_STATUS_ON_ALL : regint.h
- BIT_STATUS_ON_AT : regint.h
- BIT_STATUS_ON_AT_SIMPLE : regint.h
- BITMAP_INDEX : gc.c
- BITMAP_OFFSET : gc.c
- BitOfIsDir : win32.c
- BitOfIsRep : win32.c
- BITS_IN_ROOM : regint.h
- BITS_PER_BYTE : regint.h
- BITSET_AT : regint.h
- BITSET_CLEAR : regint.h
- BITSET_CLEAR_BIT : regint.h
- BITSET_INVERT_BIT : regint.h
- BITSET_IS_EMPTY : regparse.c
- BITSET_SET_BIT : regint.h
- BITSET_SET_BIT_CHKDUP : regparse.c
- BITSET_SIZE : regint.h
- BITSPERDIG : sprintf.c , bignum.c , random.c
- BITSPERSHORT : marshal.c
- BITSTACK_LEXPOP : ripper.c , parse.y , ripper.y , parse.c
- BITSTACK_POP : ripper.c , ripper.y , parse.c , parse.y
- BITSTACK_PUSH : ripper.c , ripper.y , parse.y , parse.c
- BITSTACK_SET_P : ripper.c , ripper.y , parse.c , parse.y
- BL_ACTION : transcode.c
- BL_BASE : transcode.c
- BL_INFO : transcode.c
- BL_MAX_BYTE : transcode.c
- BL_MIN_BYTE : transcode.c
- BL_OFFSET : transcode.c
- Bletch : util.c
- blk : sha1.c
- blk0 : sha1.c
- block_append : ripper.c , parse.c , parse.y , ripper.y
- block_dup_check : ripper.c , parse.y , ripper.y , parse.c
- BLOCKING_REGION : rubysocket.h , thread.c
- BLOCKING_REGION_FD : rubysocket.h
- BM_BACKWARD_SEARCH_LENGTH_THRESHOLD : regexec.c
- Bndry_mask : util.c
- Bndry_mask1 : util.c
- BNEG : bignum.c
- BOM_UTF16BE : reader.c
- BOM_UTF16LE : reader.c
- BOM_UTF8 : reader.c
- BOOL2INT : dl.h
- bp : vm_debug.h
- brace_nest : parse.c , ripper.y , ripper.c , parse.y
- BS : nkf.c
- BS_BIT : regint.h
- BS_ROOM : regint.h
- BSD__dtoa : sprintf.c
- BSD__hdtoa : sprintf.c
- BSD__sclearerr : vsnprintf.c
- BSD__sfeof : vsnprintf.c
- BSD__sferror : vsnprintf.c
- BSD__sfileno : vsnprintf.c
- BSEARCH : range.c
- BSEARCH_CHECK : range.c
- bsock_getpeereid : basicsocket.c
- BUF : vsnprintf.c
- BUFCHECK : file.c
- BUFFER_DEL : yaml_private.h
- BUFFER_INIT : yaml_private.h
- BUFINIT : file.c
- BUFSIZE : compile.c , vm.c , strscan.c
- builtin_class_name : error.c
- BUILTIN_TYPE : ripper.y , ruby.h
- BYTE_ADDR : transcode.c
- BYTE_LOOKUP_BASE : transcode_data.h
- BYTE_LOOKUP_INFO : transcode_data.h
- BYTE_ORDER : random.c
- BYTES_TO_DWORD : rmd160.c
- BYTESIZ : _sdbm.c
- BYTEWIDTH : pack.c